package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.swms.server.model.fee.FeeRate;
import com.dev.swms.server.model.fee.FeeType;


@Transactional(readOnly=true)
public interface FeeTypeManager  {
	/**
	 * 新建
	 * @param feeType
	 */
	@Transactional
	void save(FeeType feeType);
	
	/**
	 * 新建
	 * @param feeType
	 */
	@Transactional
	void saveRate(FeeRate rate);
	/**
	 * 恢复
	 * @param ids
	 */
	@Transactional
	void resume(List<Long> ids);
	/**
	 * 失效
	 * @param ids
	 */
	@Transactional
	void delete(List<Long> ids);
	/**
	 *删除
	 * @param ids
	 */
	@Transactional
	void deleteRate(List<Long> ids);
	
	
}
